#ifndef ZLAPS_H
#define ZLAPS_H
#include "zlaps_base.h"
#include <qcombobox.h>
#include <qlabel.h>
#include <qlcdnumber.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qmessagebox.h>
#include <qnamespace.h>
#include <qtimer.h>
#include <qimage.h>
#include <qpixmap.h>
#include <qpixmapcache.h>

#define NUM_TRACKS 51
#define MILES_TO_KILOMETERS 1.6093
#define KILOMETERS_TO_MILES 0.6214

class zlaps : public zlapsBase
{ 
    Q_OBJECT

public:
    zlaps( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~zlaps();

private slots:
    void GoodBye();
    void Help();
    void Lap();
    void Run();
    void StartStop();
    void TrackChanged(const QString &);
    void UnitsChanged();
};

#endif // ZLAPS_H
